# Supported PostgreSQL extensions

***

PostgreSQL extensions enable you to enhance the functionality of your Glesys Managed Databases for PostgreSQL by adding more capabilities.

We support the following extensions:

### Auditing

* [tcn](https://www.postgresql.org/docs/current/tcn.html). Triggered change notifications.

### Connectivity

* [dblink](https://www.postgresql.org/docs/current/contrib-dblink-function.html). Connect to other PostgreSQL databases within a database.
* [postgres\_fdw](https://www.postgresql.org/docs/current/postgres-fdw.html). Foreign data wrapper for remote PostgreSQL servers.

### Data types

* [citext](https://www.postgresql.org/docs/current/citext.html). Data type for case-insensitive character strings.
* [cube](https://www.postgresql.org/docs/current/cube.html). Data type for multidimensional cubes.
* [hll](https://github.com/citusdata/postgresql-hll). Type for storing HyperLogLog data. PG11 and newer.
* [hstore](https://www.postgresql.org/docs/current/hstore.html). Data type used to store sets of (key, value) pairs.
* [isn](https://www.postgresql.org/docs/current/isn.html). Data types for international product numbering standards.
* [ltree](https://www.postgresql.org/docs/current/ltree.html). Data types for hierarchical, tree-like structures.
* [seg](https://www.postgresql.org/docs/current/seg.html). Data type for representing line segments or floating-point intervals.
* [unit](https://github.com/df7cb/postgresql-unit). SI units extension.
* [uuid-ossp](https://www.postgresql.org/docs/current/uuid-ossp.html). Generate universally unique identifiers (UUIDs).

### Geographical features

* [address\_standardizer](https://postgis.net/docs/standardize_address.html). Used to parse an address into its constituent elements. It is generally used to support the geocoding and address normalization steps.
* [address\_standardizer\_data\_us](https://postgis.net/docs/standardize_address.html). `Address standardizer` US dataset example.
* [earthdistance](https://www.postgresql.org/docs/current/earthdistance.html). Calculate great-circle distances on the surface of the Earth.
* [h3](https://github.com/zachasme/h3-pg). PostgreSQL bindings for H3, a hierarchical hexagonal geospatial indexing system.
* [h3\_postgis](https://github.com/zachasme/h3-pg). H3 PostGIS integration.
* [pgrouting](https://github.com/pgRouting/pgrouting). Extends the PostGIS/PostgreSQL geospatial database to provide geospatial routing and other network analysis functionality.
* [postgis](https://postgis.net/). PostGIS geometry and geography spatial types and functions.
* [postgis\_legacy](https://postgis.net/). Legacy functions for PostGIS.
* [postgis\_raster](https://postgis.net/docs/RT_reference.html). PostGIS raster types and functions.
* [postgis\_sfcgal](https://postgis.net/docs/reference_sfcgal.html). PostGIS SFCGAL functions.
* [postgis\_tiger\_geocoder](https://postgis.net/docs/Extras.html#Tiger_Geocoder). PostGIS tiger geocoder and reverse geocoder.
* [postgis\_topology](https://postgis.net/docs/Topology.html). PostGIS topology spatial types and functions.

### Machine learning (ML) and artificial intelligence (AI) <a href="#machine-learning-ml-and-artificial-intelligence-ai" id="machine-learning-ml-and-artificial-intelligence-ai"></a>

* [pgvector](https://github.com/pgvector/pgvector) is designed for vector similarity search in PostgreSQL.

### Procedural language

* [plperl](https://www.postgresql.org/docs/current/plperl.html). PL/Perl procedural language.
* [plpgsql](https://www.postgresql.org/docs/current/plpgsql.html). PL/pgSQL procedural language.

### Search and text handling

* [bloom](https://www.postgresql.org/docs/current/bloom.html). Bloom access method - signature file-based index.
* [btree\_gin](https://www.postgresql.org/docs/current/btree-gin.html). Support for indexing common data types in GIN.
* [btree\_gist](https://www.postgresql.org/docs/current/btree-gist.html). Support for indexing common data types in GiST.
* [dict\_int](https://www.postgresql.org/docs/current/dict-int.html). Text search dictionary template for integers.
* [fuzzystrmatch](https://www.postgresql.org/docs/current/fuzzystrmatch.html). Determine similarities and distances between strings.
* [pg\_similarity](https://github.com/eulerto/pg_similarity). Support similarity queries.
* [pg\_trgm](https://www.postgresql.org/docs/current/pgtrgm.html). Text similarity measurement and index searching based on trigrams.
* [pgcrypto](https://www.postgresql.org/docs/current/pgcrypto.html). Cryptographic functions.
* [rum](https://github.com/postgrespro/rum). RUM index access method.
* [unaccent](https://www.postgresql.org/docs/current/unaccent.html). Text search dictionary that removes accents.

### Utilities

* [bool\_plperl](https://www.postgresql.org/docs/current/plperl-funcs.html). Transform between `bool` and `plperl`.
* [intagg](https://www.postgresql.org/docs/current/intagg.html). Integer aggregator and enumerator (obsolete).
* [intarray](https://www.postgresql.org/docs/current/intarray.html). Functions, operators, and index support for one-dimensional (1D) arrays of integers.
* [jsonb\_plperl](https://www.postgresql.org/docs/current/datatype-json.html). Transform between `jsonb` and `plperl`.
* [lo](https://www.postgresql.org/docs/current/lo.html). Large Object maintenance.
* [pageinspect](https://www.postgresql.org/docs/current/pageinspect.html). Inspect the contents of database pages at a low level.
* [pg\_buffercache](https://www.postgresql.org/docs/current/pgbuffercache.html). Examine the shared buffer cache.
* [pg\_cron](https://github.com/citusdata/pg_cron). Job scheduler for PostgreSQL.
* [pg\_partman](https://github.com/pgpartman/pg_partman). Extension to manage partitioned tables by time or ID.
* [pg\_prewarm](https://www.postgresql.org/docs/current/pgprewarm.html). Prewarm relation data.
* [pg\_repack](https://pgxn.org/dist/pg_repack/1.4.6/). Reorganize tables in PostgreSQL databases with minimal locks.
* [pg\_stat\_statements](https://github.com/pgpartman/pg_partman). Track planning and execution statistics of all SQL statements executed.
* [pgrowlocks](https://www.postgresql.org/docs/current/pgrowlocks.html). Show row-level locking information.
* [pgstattuple](https://www.postgresql.org/docs/current/pgstattuple.html). Show tuple-level statistics.
* [sslinfo](https://www.postgresql.org/docs/current/sslinfo.html). Information about SSL certificates.
* [tablefunc](https://www.postgresql.org/docs/current/tablefunc.html). Functions that manipulate whole tables, including `crosstab`.
* [tsm\_system\_rows](https://www.postgresql.org/docs/current/tsm-system-rows.html). TABLESAMPLE method, which accepts a number of rows as a limit.
* [tsm\_system\_time](https://www.postgresql.org/docs/current/tsm-system-time.html). TABLESAMPLE method, which accepts time in milliseconds as a limit.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.glesys.com/products/database/details/postgresql/supported-postgresql-extensions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
